TAAS - Feature #412

Booking
11/14/2024 05:13 PM - Junaid M

Status: Reopen Bugs Testing Done Start date: 11/14/2024
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Booking

Description

Coding Booking GUI

History

#1 - 11/14/2024 05:14 PM - Junaid M

=>Booking GUI - New

* Like XO Purchase

—-> Master Changes

-XO Number to Booking No

—Remove Supplier

—-Add supplier Each popup (like Issue)
—-Add Document Status

—Add Approval Status : Empty, Approved
Title: Approval done from corporate side
—->Popup Change

—-Date title "PNR Date"

-Ticket No/Voucher not mandatory

*Auto Generate Based On PNR No -> PNR NO + # + Pax No

—Add PNR No* (Red-Mundatory)

Pax No* (Red-Mundatory and PNR No wise Unique)

*Hotel Guest No....

-XO Status to Status[Booking, Issued Done, Not Issued]

—Add Booking Expiry Date Time - After PNR No
* Time Default - 23:59:59 or 11:59 PM

Column: All Xo Column + PNR (Before Ticket no Column)

Grouping By-> No Grouping, PNR, Service
->Coding
Use Issue Model

—Add Booking Status, Exiry Date time, Pax No

Points:-

1. Add a new label 'fare type' on the right of ticket type with a combo box(select box).

before ticket no

2. Hide the fare components same as sale based on admin settings.

Booking Coding Points:-—

.Add Column "Pax No" after Pax name in Grid.

In Restore - Add then Increment Pax No

g W N

#2 - 11/19/2024 11:39 AM - Anil KV

- Assignee changed from travvise Admin to Nawal Sidique

#3 - 11/25/2024 12:20 PM - Nawal Sidique
- Status changed from New to Coding Started

05/03/2025

If No.of Copy is more than 1. Incriment Pax No.

In Restore - Add If PNR No changed. Set Pax No to 1.
On Add Validate a PNR has no pax no duplication
- % Done changed from 0 to 30

#4 - 12/10/2024 09:33 AM - Nawal Sidique
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#5 - 12/11/2024 10:40 AM - Arathy PS
- Status changed from Coding Done to New Changes

- % Done changed from 60 to 50

NEW CHANGE

1. Add new field LPO No: (blue star with title: If ticked then will show in LPO waiting report) and date.

#6 - 12/12/2024 09:44 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#7 - 12/13/2024 11:55 AM - Theja Ponon
- File clipboard-202412131154-p4bjf.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)ISSUE ON DELETION - FIXED

invalid transaction termination

Delete Reason | sdfdg

E Close T Delete

2)AFTER CLEARING AND VOUCHER NUMBER AND CHANGING THE PNR NUMBER AND UPDATE WILL NOT GENERATE NEW TICKET
VOUCHER NUMBER - FIXED

#8 - 12/17/2024 10:06 AM - Nawal Sidique
NEW CHANGE

1. Add new field Approval Status(blue star with title: Booking Approval from a Corporate) in each issue: Status(Approved User, date time).

#9 - 12/18/2024 04:36 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#10 - 12/19/2024 02:11 PM - Theja Ponon
- File clipboard-202412191358-fkxv6.png added

05/03/2025 2/5



- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#11 - 12/19/2024 02:13 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 12/19/2024 03:26 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

)SAME COMBINATION PNR NO AND PAX NUMBER IS ALLOWING - FIXED

)CANT CREATE NEW VOUCHER WITH VOUCHER NUMBER OF DELETED VOUCHER - FIXED
JFILTER ICONS ARE NOT SHOWING FOR ALL COLUMN IN THE GRID - FIXED

J)POSSIBLE TO SET THE EXPIRY DATE BEFORE THE VOUCHER DATE - FIXED

A ON =

#13 - 12/19/2024 06:24 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 12/20/2024 12:52 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#15 - 12/31/2024 04:59 PM - Arathy PS
- File clipboard-202412311658-bnh8v.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Supplier currency gets missing when ticking restore check box and add button - FIXED

Travvise T HOOGCE DOOO
Booking No | Bkso01 Date’ | 31/12/2028 ] Branch | BRODT: Main v B Update
Customer N
uuuuu cusoo1 = v an
Narrati
PNRNo* | 112233 PaxNo™ | g Amount In QAR
nternal Note
TicketNo™ | 11223326 Date” | 31122024 <] = | 1000
Document Status” | Active Expiry Date | a3 Q@ Tme - Tx | 1000 % 100
Crested By:  Administrator(31/14 semice” | aADTTe or Tebet Serviee . Commission | 000 %/ 000

Modified By ~

Ancillary Serviee® Supplier Fee | 0,00 = oo

Payable | 101000

Aidine 558 5 3
T a 2 &
supplier | supoot e o Service Fee | 100.00 % | 1000
#  PNRNo Ticket/Voucher - Current Status
/ Sector | AAAKCC) Discount 000 % | 000

1 112233 1223381 Booki 4
- - Pax Profile Price | 111000 o -
2 112 . P Booking &S W

Pt Profit: 100.00 QAR A Ticket
1122 20 No- Booking S W
Number Of Pax | 1 0 0 Total Pae 1 LPoNe™ | @ dd/M =)
d 112233 Booking S m
Ticket Type® | ET v FareType v Ramarks P
5 112233 1122335 Booking &S W
Travel Date® | 02/01/20... @ [ | RetumDate | 06/01/20, ]
112233 112233851 Booking S
Class | D | FirstClass v v
Total Status X " Visa
St Booking v Status:  Booking
No Of Copy* 0 Restore” @ & Close + Add

2. Duplicate pax number is possible with ticket number changing. - FIXED

#16 - 01/01/2025 05:53 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#17 - 01/03/2025 11:47 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#18 - 01/07/2025 11:13 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)BASED ON THE EXPIRY DATE CHANGE THE STATUS TO BOOKING EXPIRED - FIXED

#19 - 01/07/2025 06:00 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 01/09/2025 10:05 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#21 - 03/21/2025 02:33 PM - Arathy PS

- File clipboard-202503211253-yekrf.png added

- File clipboard-202503211258-Kyfrw.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 90 to 50

ISSUE FOUND

1. Currency in master section and grid are different. - FIXED

Booking
Customer™ | CUS001 ANSAAR AHAMMED KHA QAR v Department™ | DPO01: Account ~ € New
Narration FileNo | FQ/002
s
Internal Note Enquiry No
s
Reference Number
Document Status” | Active v By
Responsitle User ~
Created By:
Modified By: Cost Center v
* Ticket B Hotel B Other & Transfer I~ Visa Mt Package | GrOUPINg | No Grouping ¥ Y @ 2 [
# | PNRNo Ticket/Voucher service Pax Name Pax Number Cost Price profit | Status Current Status
1 4R 14785241 SA0O1: Air Ticket Senvice dase 1 1000.00 1100.00 10000 | Booking Booking S w

2 7R 14752#1 SADOS: Other Service fert 1 1000.00 1200.00 20000 | Baoking Booking S |
A Ticket
Total EUR 2000.00 EUR 2300.00 EUR 300.00
B Hotel

2. Not showing amount based on Roe when different currencies are used. - FIXED
ravvise Booking
BOOKING has been Saved.
BookingNe | BK/002 Date™ | 21/03/2025 (]
Customer* | cusoo1 ANSAAR AHAMMED KHA EUR ~
Narration
Vi
Internal Note
p,
Document Ststus'  Active v
Created By: Administrator(21/03/2025 12:58 PM)
Modified By:
¥ Ticket 2 Hotel ‘B Other & Transfer
#* PNR No Ticket/Voucher Service Pax Name
1 741569 7415691 SADO2: Hotel Service sert
2 0336 0336#1 SADO1: Air Ticket Service etyd
Total

3. The doc no: field is not disabling while saving for the first time. - FIXED

#22 - 03/21/2025 05:18 PM - Arathy PS
- File clipboard-202503211718-jmmdl.png added

ISSUE FOUND

Filev Objectv Toolsv¥ Helpv

Branch”

BROO1: Main
Department’  DPOO1: Account
File No
Enquiry No

Reference Number
Respansible User ~

Cost Center

o~ Visa Mt Package | STOUPING | No Grouping v
Pax Number Cost Price Profit Status
1 800.00 1000.00 20000 Booking
1 500.00 700.00 200.00 Booking
EUR 1300.00 EUR 1700.00 EUR 400.00

T Q
Current Status
Booking

Booking

Q|[>_| Dashboard Properties SQL Statistics Dependencies Dependents & taas_main_20 & tass_main_20mar2025/postgre < > BR*  tass_main_20mar2025/postgres@SERVER*

s-main. | ¥ taas_main_20mar2025/postgres@SERVER R - D | | taas_main_20mar2025/postgres@SERVER v 8
’;::dle/vaNohmvnbvunv%% = @ mMB~ /T om - @ eV [E[@
atalog  Query Query History 7 Query Query History

ettt T e

xensic 2 select vhr_file_number,= from document.tbl_documents where vhr_document_no = 'BK/84'; 2 select vhr_file_doc_no,

oreign 3

angua

blical

ichema

‘ubscil

smajp ~ Dataoutput Messages Noffications 7| petacutput  Messages ion:

b s R0 o8 8 s -0 8 8B~

-man vhi_file_number inf|sys_action_id  fk_created_user_id  dtm_created filast_modified_user_id , dtm_last modified [ vhr_file_doc_no pf_supp_doc_no_id , vhr_supp_doc_no.

smaj character varying (30) ¥ imbger igint 4 timestamp with time zone # bigint 4 timestamp with time zone # tlai character varying (30) © | [fK] bigint character varying (30) # | character varying (30)
s_mapn. 1 FO/002 1 2 2025-03-2115:03:15.616. 2 202503-2115:05:43.036. 1 Fo/oo1 15 817#1

s-mafn

+_main

main

2)Fop with act as client ticked also comes in the customer field - FIXED

#23 - 03/26/2025 10:14 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 04/01/2025 09:57 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files
